Skip to main content

Update Lead: Yardi REST

Beta
PUThttps://api.propexo.com/v1/leads/yardi_rest/:lead_id
InterfaceMethod
ILS Guest Card/ItfProspect/ImportYardiGuest

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lead_id stringrequired

The Propexo unique identifier for the lead

Request​

This endpoint expects an object.

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    unit_idstring

    The Propexo unique identifier for the unit

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    target_move_in_datestring

    The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_lease_term_in_monthsstring

    The amount of months for the lease term

    notesstring

    Notes associated with the lead

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lead_idstringrequired

    The Propexo unique identifier for the lead

    first_namestringrequired

    The first name associated with the lead

    last_namestringrequired

    The last name associated with the lead

    unit_idstring

    The Propexo unique identifier for the unit

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    email_1string

    The primary email address associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    countrystring

    The country associated with the lead

    target_move_in_datestring

    The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_lease_term_in_monthsstring

    The amount of months for the lease term

    notesstring

    Notes associated with the lead

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/yardi_rest/:lead_id
curl -X PUT https://api.propexo.com/v1/leads/yardi_rest/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"first_name": "string",
"last_name": "string",
"unit_id": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_lease_term_in_months": "string",
"notes": "string"
}
}